Subject: Re: [TLS] Unifying tickets and sessions
From: Daniel Kahn Gillmor <[email-masked]>
To: Nico Williams <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 24 Oct 2014 14:51:50 -0400
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

On 10/24/2014 02:42 PM, Nico Williams wrote:
> On Fri, Oct 24, 2014 at 12:27 PM, Daniel Kahn Gillmor
> <[email-masked]> wrote:
>> On Fri 2014-10-24 12:58:54 -0400, Joseph Salowey wrote:
>>> [Joe] Personally, I don't think that PFS is a MUST for session resumption.
>>>   I think an implementation can attempt to provide PFS like behavior, but
>>> if one is really interested in PFS I think the full handshake is the way to
>>> go.
>>
>> If we decide to merge session resumption with PSK as discussed at the
>> interim meeting, then deciding that session resumption doesn't get
>> forward secrecy means that forward secrecy wouldn't be an option with
>> PSK.
> 
> Why would that follow?  Joe says that PFS should not be REQUIRED for
> resumption.  That doesn't mean it shouldn't be possible at all.

Sure, understood.  I just want to make sure that we retain the
possibility to do both PSK and session resumption with forward secrecy
if the peers want it, and not drop that combination on the floor.

	--dkg